Package oracle.jdbc

## Enum DatabaseFunction

- java.lang.Object
- - java.lang.Enum<DatabaseFunction>
  - - oracle.jdbc.DatabaseFunction

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DatabaseFunction>`

    public enum DatabaseFunction
    extends java.lang.Enum<DatabaseFunction>

Database operation/function enumeration.

### Enum Constant Summary

Enum Constants
`ADVANCED_QUEUING_12C_EMON_DEQUEUE`
`ADVANCED_QUEUING_ARRAY_ENQUEUE_DEQUEUE`
`ADVANCED_QUEUING_DEQUEUE_V8`
`ADVANCED_QUEUING_ENQUEUE`
`ADVANCED_QUEUING_GET_PROPAGATION_STATUS`
`ADVANCED_QUEUING_LISTEN`
`ADVANCED_QUEUING_SESSION_GET_RPC_1`
`ADVANCED_QUEUING_SESSION_GET_RPC_2`
`ADVANCED_QUEUING_SHARED_DEQUEUE`
`ADVANCED_QUEUING_SHARED_ENQUEUE`
`APP_REPLAY`
`AUTH_CALL`
`AUTO_COMMIT_OFF`
`AUTO_COMMIT_ON`
`CANCEL_ALL`
`CANCEL_OPERATION`
`CHUNCK_INFO`
`CLIENT_FEATURES`
`CLIENT_QUERY_CACHE_IDS`
`CLIENT_QUERY_CACHE_STATS_UPDATE`
`CLOSE_ALL_CURSOR`
`CLOSE_CURSOR`
`COMMIT`
`DB12C_NOTIFICATION_RCV`
`DBNS_SAGAS`
`DESCRIBE_ANY_V8`
`DESCRIBE_ARRAY`
`DESCRIBE_QUERY_CALL`
`DIRECT_PATH_LOAD_STREAM`
`DIRECT_PATH_MISC_OP`
`DIRECT_PATH_PREPARE`
`DISTRIBUTED_TRANS_MGR_RPC`
`EXECUTE_QUERY`
`EXTENSIBLE_SECURITY_SESSION_CREATE`
`EXTENSIBLE_SECURITY_SESSION_PIGGYBACK`
`EXTENSIBLE_SECURITY_SESSION_ROUNDTRIP`
`FAST_UPI_CALLS`
`FETCH_ROW`
`GET_VERSION`
`KERNEL_PROGRAMMATIC_NOTIFICATION`
`KEY_VALUE`
`LOB_FILE_CALL`
`LOGOFF`
`LOGON_CHALLENGE_RESPONSE_1`
`LOGON_CHALLENGE_RESPONSE_2`
`OEXFEN`
`OPEN_CURSOR`
`OSQL7`
`OSTART`
`OSTOP`
`PARAMETER_PUT_SPFILE`
`PING`
`PIPELINE_END`
`PIPELINE_PIGGYBACK_BEGIN`
`PIPELINE_PIGGYBACK_OP`
`ROLLBACK`
`SESSION_KEY`
`SESSION_STATE_OPS`
`SESSION_STATE_TEMPLATE`
`SESSION_SWITCH_V8`
`TRACING_MESSAGE`
`TRANSACTION_COMMIT`
`TRANSACTION_START`
`TTC_DTY_ROUNDTRIP`
`TTC_PRO_ROUNDTRIP`
`XS_ATTACH_SESSION`
`XS_CREATE_SESSION`
`XS_DESTROY_SESSION`
`XS_DETACH_SESSION`
`XS_NAMESPACE_OP`
`XS_NAMESPACE_OPS`
`XS_SET_SESSION_PARAMETER`
`XS_STATE_SYNC_OP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`short` `getCode()` Gets the database function code.
`java.lang.String` `getDescription()` Gets the database function description.
`static DatabaseFunction` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DatabaseFunction` `valueOfFunctionCode​(short code)` Gets the DatabaseFunction by function code
`static DatabaseFunction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPEN_CURSOR

    public static final DatabaseFunction OPEN_CURSOR

#### FETCH_ROW

    public static final DatabaseFunction FETCH_ROW

#### CLOSE_CURSOR

    public static final DatabaseFunction CLOSE_CURSOR

#### LOGOFF

    public static final DatabaseFunction LOGOFF

#### AUTO_COMMIT_ON

    public static final DatabaseFunction AUTO_COMMIT_ON

#### AUTO_COMMIT_OFF

    public static final DatabaseFunction AUTO_COMMIT_OFF

#### COMMIT

    public static final DatabaseFunction COMMIT

#### ROLLBACK

    public static final DatabaseFunction ROLLBACK

#### CANCEL_OPERATION

    public static final DatabaseFunction CANCEL_OPERATION

#### DESCRIBE_ARRAY

    public static final DatabaseFunction DESCRIBE_ARRAY

#### GET_VERSION

    public static final DatabaseFunction GET_VERSION

#### OSTART

    public static final DatabaseFunction OSTART

#### OSTOP

    public static final DatabaseFunction OSTOP

#### DISTRIBUTED_TRANS_MGR_RPC

    public static final DatabaseFunction DISTRIBUTED_TRANS_MGR_RPC

#### FAST_UPI_CALLS

    public static final DatabaseFunction FAST_UPI_CALLS

#### OSQL7

    public static final DatabaseFunction OSQL7

#### OEXFEN

    public static final DatabaseFunction OEXFEN

#### LOGON_CHALLENGE_RESPONSE_2

    public static final DatabaseFunction LOGON_CHALLENGE_RESPONSE_2

#### LOGON_CHALLENGE_RESPONSE_1

    public static final DatabaseFunction LOGON_CHALLENGE_RESPONSE_1

#### EXECUTE_QUERY

    public static final DatabaseFunction EXECUTE_QUERY

#### LOB_FILE_CALL

    public static final DatabaseFunction LOB_FILE_CALL

#### DESCRIBE_QUERY_CALL

    public static final DatabaseFunction DESCRIBE_QUERY_CALL

#### TRANSACTION_START

    public static final DatabaseFunction TRANSACTION_START

#### TRANSACTION_COMMIT

    public static final DatabaseFunction TRANSACTION_COMMIT

#### CLOSE_ALL_CURSOR

    public static final DatabaseFunction CLOSE_ALL_CURSOR

#### SESSION_SWITCH_V8

    public static final DatabaseFunction SESSION_SWITCH_V8

#### DESCRIBE_ANY_V8

    public static final DatabaseFunction DESCRIBE_ANY_V8

#### AUTH_CALL

    public static final DatabaseFunction AUTH_CALL

#### SESSION_KEY

    public static final DatabaseFunction SESSION_KEY

#### CANCEL_ALL

    public static final DatabaseFunction CANCEL_ALL

#### KERNEL_PROGRAMMATIC_NOTIFICATION

    public static final DatabaseFunction KERNEL_PROGRAMMATIC_NOTIFICATION

#### TRACING_MESSAGE

    public static final DatabaseFunction TRACING_MESSAGE

#### PARAMETER_PUT_SPFILE

    public static final DatabaseFunction PARAMETER_PUT_SPFILE

#### PING

    public static final DatabaseFunction PING

#### KEY_VALUE

    public static final DatabaseFunction KEY_VALUE

#### EXTENSIBLE_SECURITY_SESSION_CREATE

    public static final DatabaseFunction EXTENSIBLE_SECURITY_SESSION_CREATE

#### EXTENSIBLE_SECURITY_SESSION_ROUNDTRIP

    public static final DatabaseFunction EXTENSIBLE_SECURITY_SESSION_ROUNDTRIP

#### EXTENSIBLE_SECURITY_SESSION_PIGGYBACK

    public static final DatabaseFunction EXTENSIBLE_SECURITY_SESSION_PIGGYBACK

#### ADVANCED_QUEUING_ENQUEUE

    public static final DatabaseFunction ADVANCED_QUEUING_ENQUEUE

#### ADVANCED_QUEUING_DEQUEUE_V8

    public static final DatabaseFunction ADVANCED_QUEUING_DEQUEUE_V8

#### ADVANCED_QUEUING_GET_PROPAGATION_STATUS

    public static final DatabaseFunction ADVANCED_QUEUING_GET_PROPAGATION_STATUS

#### ADVANCED_QUEUING_LISTEN

    public static final DatabaseFunction ADVANCED_QUEUING_LISTEN

#### ADVANCED_QUEUING_ARRAY_ENQUEUE_DEQUEUE

    public static final DatabaseFunction ADVANCED_QUEUING_ARRAY_ENQUEUE_DEQUEUE

#### ADVANCED_QUEUING_SESSION_GET_RPC_1

    public static final DatabaseFunction ADVANCED_QUEUING_SESSION_GET_RPC_1

#### ADVANCED_QUEUING_SESSION_GET_RPC_2

    public static final DatabaseFunction ADVANCED_QUEUING_SESSION_GET_RPC_2

#### SESSION_STATE_TEMPLATE

    public static final DatabaseFunction SESSION_STATE_TEMPLATE

#### CLIENT_QUERY_CACHE_STATS_UPDATE

    public static final DatabaseFunction CLIENT_QUERY_CACHE_STATS_UPDATE

#### CLIENT_QUERY_CACHE_IDS

    public static final DatabaseFunction CLIENT_QUERY_CACHE_IDS

#### XS_NAMESPACE_OPS

    public static final DatabaseFunction XS_NAMESPACE_OPS

#### XS_NAMESPACE_OP

    public static final DatabaseFunction XS_NAMESPACE_OP

#### XS_STATE_SYNC_OP

    public static final DatabaseFunction XS_STATE_SYNC_OP

#### XS_ATTACH_SESSION

    public static final DatabaseFunction XS_ATTACH_SESSION

#### XS_CREATE_SESSION

    public static final DatabaseFunction XS_CREATE_SESSION

#### XS_DETACH_SESSION

    public static final DatabaseFunction XS_DETACH_SESSION

#### XS_DESTROY_SESSION

    public static final DatabaseFunction XS_DESTROY_SESSION

#### XS_SET_SESSION_PARAMETER

    public static final DatabaseFunction XS_SET_SESSION_PARAMETER

#### SESSION_STATE_OPS

    public static final DatabaseFunction SESSION_STATE_OPS

#### APP_REPLAY

    public static final DatabaseFunction APP_REPLAY

#### ADVANCED_QUEUING_SHARED_ENQUEUE

    public static final DatabaseFunction ADVANCED_QUEUING_SHARED_ENQUEUE

#### ADVANCED_QUEUING_SHARED_DEQUEUE

    public static final DatabaseFunction ADVANCED_QUEUING_SHARED_DEQUEUE

#### ADVANCED_QUEUING_12C_EMON_DEQUEUE

    public static final DatabaseFunction ADVANCED_QUEUING_12C_EMON_DEQUEUE

#### DB12C_NOTIFICATION_RCV

    public static final DatabaseFunction DB12C_NOTIFICATION_RCV

#### CHUNCK_INFO

    public static final DatabaseFunction CHUNCK_INFO

#### CLIENT_FEATURES

    public static final DatabaseFunction CLIENT_FEATURES

#### DBNS_SAGAS

    public static final DatabaseFunction DBNS_SAGAS

#### DIRECT_PATH_PREPARE

    public static final DatabaseFunction DIRECT_PATH_PREPARE

#### DIRECT_PATH_MISC_OP

    public static final DatabaseFunction DIRECT_PATH_MISC_OP

#### DIRECT_PATH_LOAD_STREAM

    public static final DatabaseFunction DIRECT_PATH_LOAD_STREAM

#### PIPELINE_PIGGYBACK_BEGIN

    public static final DatabaseFunction PIPELINE_PIGGYBACK_BEGIN

#### PIPELINE_END

    public static final DatabaseFunction PIPELINE_END

#### PIPELINE_PIGGYBACK_OP

    public static final DatabaseFunction PIPELINE_PIGGYBACK_OP

#### TTC_DTY_ROUNDTRIP

    public static final DatabaseFunction TTC_DTY_ROUNDTRIP

#### TTC_PRO_ROUNDTRIP

    public static final DatabaseFunction TTC_PRO_ROUNDTRIP

### Method Detail

#### values

    public static DatabaseFunction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabaseFunction c : DatabaseFunction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabaseFunction valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### valueOfFunctionCode

    public static DatabaseFunction valueOfFunctionCode​(short code)

Gets the DatabaseFunction by function code

Parameters:
  `code` - the database function code
Returns:
  the matching DatabaseFunction

#### getCode

    public short getCode()

Gets the database function code.

Returns:
  the code

#### getDescription

    public java.lang.String getDescription()

Gets the database function description.

Returns:
  the description